package smart_gs.reasoning_web.swingui.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.reasoning_web.ExplanatoryNoteDialog;
import smart_gs.reasoning_web.logical.GSExplanatoryNote;

public class ShowExplanatoryAction implements ActionListener {
		GSExplanatoryNote expNote;

		public ShowExplanatoryAction(GSExplanatoryNote expNote1) {
			this.expNote = expNote1;
		}

		@Override
		public void actionPerformed(ActionEvent arg0) {
			ExplanatoryNoteDialog dialog = new ExplanatoryNoteDialog(this.expNote);
			dialog.setVisible(true);
		}
}
